#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 24 November 2006                                                    *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/define=("HAVE_CONFIG_H=1")\
	/include=([],[-])/list/show=all

OBJS=cairo-ft-font.obj,cairo-ps-surface.obj,cairo-pdf-surface.obj,\
cairo-png.obj,cairo-xlib-surface.obj,cairo-arc.obj,\
cairo.obj,cairo-array.obj,cairo-cache.obj,\
cairo-color.obj,cairo-fixed.obj,cairo-font.obj,cairo-gstate.obj,\
cairo-hull.obj,cairo-image-surface.obj,cairo-matrix.obj,\
cairo-path.obj,cairo-path-bounds.obj,cairo-path-fill.obj,\
cairo-path-stroke.obj,cairo-pen.obj,cairo-polygon.obj,\
cairo-slope.obj,cairo-spline.obj,cairo-surface.obj,cairo-traps.obj,\
cairo-pattern.obj,cairo-unicode.obj,cairo-wideint.obj,\
cairo-output-stream.obj,cairo-path-data.obj,cairo-clip.obj,\
cairo-font-options.obj,cairo-hash.obj,cairo-region.obj,cairo-scaled-font.obj,\
cairo-xlib-screen.obj,cairo-debug.obj,cairo-paginated-surface.obj,\
cairo-stroke-style.obj,cairo-surface-fallback.obj,cairo-meta-surface.obj,\
cairo-analysis-surface.obj,cairo-base85-stream.obj,cairo-rectangle.obj,\
cairo-lzw.obj,cairo-operator.obj,cairo-scaled-font-subsets.obj,\
cairo-truetype-subset.obj,cairo-type1-subset.obj

all : $(OBJS)
	library/create libcairo.olb $(OBJS)
	$(MMS)$(MMSQUALIFIERS) libcairo.exe

libcairo.exe : libcairo.olb vmslib.opt [-.pixman.src]libpixman.olb
	@ WRITE_ SYS$OUTPUT "  generating libcairo.opt"
	@ library/extract=* libcairo
	@ OPEN_/WRITE FILE  libcairo.opt
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "! libcairo.opt generated by DESCRIP.$(MMS_EXT)" 
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "IDENTIFICATION=""libcairo"""
	@ WRITE_ FILE "GSMATCH=LEQUAL,1,0
	@ WRITE_ FILE "libcairo.obj"
	@ CLOSE_ FILE
	@ $(MMS)$(MMSQUALIFIERS)/ignore=warning cairo_vms
	@ WRITE_ SYS$OUTPUT "  linking libcairo.exe ..."
	@ LINK_/NODEB/SHARE=libcairo.exe/MAP=libcairo.map/FULL libcairo.opt/opt,cairo_vms.opt/opt,vmslib.opt/opt
	@ delete libcairo.obj;*

cairo_vms :
	@ WRITE_ SYS$OUTPUT "  generating libcairo.map ..."
	@ LINK_/NODEB/NOSHARE/NOEXE/MAP=libcairo.map/FULL libcairo.opt/OPT
	@ WRITE_ SYS$OUTPUT "  analyzing excel.map ..."
	@ @ANALYZE_MAP.COM libcairo.map cairo_vms.opt

$(OBJS) : cairo-features.h cairo-xlib.timestamp cairo-xlib-xrender.timestamp\
	[-]config.h

cairo-features.h : cairo-features.h_vms
	copy cairo-features.h_vms cairo-features.h

cairo-arc.obj : cairo-arc.c
cairo-ft-font.obj : cairo-ft-font.c
	cc$(CFLAGS)/nowarn cairo-ft-font.c
cairo-ps-surface.obj : cairo-ps-surface.c
cairo-pdf-surface.obj : cairo-pdf-surface.c
cairo-png.obj : cairo-png.c
cairo-xlib-surface.obj : cairo-xlib-surface.c
        pipe gsed -e "s/X11\/extensions/X11/" cairo-xlib-surface.c > cairo-xlib-surface.c_
	cc$(CFLAGS) cairo-xlib-surface.c_
	delete cairo-xlib-surface.c_;*
cairo.obj : cairo.c
cairo-array.obj : cairo-array.c
cairo-cache.obj : cairo-cache.c
cairo-color.obj : cairo-color.c
cairo-fixed.obj : cairo-fixed.c
cairo-font.obj : cairo-font.c
cairo-gstate.obj : cairo-gstate.c
cairo-hull.obj : cairo-hull.c
cairo-image-surface.obj : cairo-image-surface.c
cairo-matrix.obj : cairo-matrix.c
cairo-path.obj : cairo-path.c
cairo-path-bounds.obj : cairo-path-bounds.c
cairo-path-fill.obj : cairo-path-fill.c
cairo-path-stroke.obj : cairo-path-stroke.c
cairo-pen.obj : cairo-pen.c
cairo-polygon.obj : cairo-polygon.c
cairo-slope.obj : cairo-slope.c
cairo-spline.obj : cairo-spline.c
cairo-surface.obj : cairo-surface.c
cairo-traps.obj : cairo-traps.c
cairo-pattern.obj : cairo-pattern.c
cairo-unicode.obj : cairo-unicode.c
cairo-wideint.obj : cairo-wideint.c
cairo-path-data.obj : cairo-path-data.c
cairo-output-stream.obj : cairo-output-stream.c
cairo-clip.obj : cairo-clip.c
cairo-font-options.obj : cairo-font-options.c
cairo-hash.obj : cairo-hash.c
cairo-region.obj : cairo-region.c
cairo-scaled-font.obj : cairo-scaled-font.c
cairo-xlib-screen.obj : cairo-xlib-screen.c
        pipe gsed -e "s/X11\/extensions/X11/" cairo-xlib-screen.c > cairo-xlib-screen.c_
	cc$(CFLAGS) cairo-xlib-screen.c_
	delete cairo-xlib-screen.c_;*
cairo-debug.obj : cairo-debug.c
cairo-paginated-surface.obj : cairo-paginated-surface.c
cairo-stroke-style.obj : cairo-stroke-style.c
cairo-surface-fallback.obj : cairo-surface-fallback.c
cairo-meta-surface.obj : cairo-meta-surface.c
cairo-analysis-surface.obj : cairo-analysis-surface.c
cairo-base85-stream.obj : cairo-base85-stream.c
cairo-rectangle.obj : cairo-rectangle.c
cairo-lzw.obj : cairo-lzw.c
cairo-operator.obj : cairo-operator.c
cairo-scaled-font-subsets.obj : cairo-scaled-font-subsets.c
cairo-truetype-subset.obj : cairo-truetype-subset.c
cairo-type1-subset.obj : cairo-type1-subset.c

cairo-xlib.timestamp : cairo-xlib.h
        pipe gsed -e "s/X11\/extensions/X11/" cairo-xlib.h > cairo-xlib.timestamp
        set file/enter=cairo-xlib.h cairo-xlib.timestamp

cairo-xlib-xrender.timestamp : cairo-xlib-xrender.h
        pipe gsed -e "s/X11\/extensions/X11/" cairo-xlib-xrender.h > cairo-xlib-xrender.timestamp
        set file/enter=cairo-xlib-xrender.h cairo-xlib-xrender.timestamp
