#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 24 November 2006                                                    *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/ieee=denorm/define=("HAVE_CONFIG_H=1")\
	/include=([],[-],[-.src])

PROGS=imagediff.exe fill-rule.exe leaky-polygon.exe \
	line-width.exe linear-gradient.exe \
	move-to-show-surface.exe text-cache-crash.exe \
	text-rotate.exe clip-twice.exe \
	pixman-rotate.exe

OBJS=buffer-diff.obj,cairo-test.obj,xmalloc.obj

all : $(PROGS)
	@ write sys$output "tests created"

imagediff.exe : imagediff.obj xmalloc.obj buffer-diff.obj,\
	cairo-test.obj link_vms.opt [-.src]libcairo.olb
	link imagediff.obj,xmalloc.obj,buffer-diff.obj,\
	cairo-test.obj,link_vms/opt

fill-rule.exe : fill-rule.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link fill-rule.obj,$(OBJS),link_vms/opt

leaky-polygon.exe : leaky-polygon.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link leaky-polygon.obj,$(OBJS),link_vms/opt

line-width.exe : line-width.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link line-width.obj,$(OBJS),link_vms/opt

linear-gradient.exe : linear-gradient.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link linear-gradient.obj,$(OBJS),link_vms/opt

move-to-show-surface.exe : move-to-show-surface.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link move-to-show-surface.obj,$(OBJS),link_vms/opt

text-cache-crash.exe : text-cache-crash.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link text-cache-crash.obj,$(OBJS),link_vms/opt

text-rotate.exe : text-rotate.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link text-rotate.obj,$(OBJS),link_vms/opt

clip-twice.exe : clip-twice.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link clip-twice.obj,$(OBJS),link_vms/opt

pixman-rotate.exe : pixman-rotate.obj $(OBJS) link_vms.opt [-.src]libcairo.olb
	link pixman-rotate.obj,$(OBJS),link_vms/opt

pixman-rotate.obj : pixman-rotate.c
clip-twice.obj : clip-twice.c
text-rotate.obj : text-rotate.c
text-cache-crash.obj : text-cache-crash.c
move-to-show-surface.obj : move-to-show-surface.c
linear-gradient.obj : linear-gradient.c
line-width.obj : line-width.c
leaky-polygon.obj : leaky-polygon.c
imagediff.obj : imagediff.c
xmalloc.obj : xmalloc.c
buffer-diff.obj : buffer-diff.c
cairo-test.obj : cairo-test.c
fill-rule.obj : fill-rule.c
